Description

Since you are aware of this issue: [[https://tickets.puppetlabs.com/browse/SERVER-17]], I think foreman installer should trigger the

creation of a custom dhparam and setup the foreman vhost config with it.

This would create a better "out of the box" experience. Now it is like: install a current version of a Linux distribution, install foreman,

attach some hosts to puppet... hmmm damn no reports from puppet... browse the log files ... find the java dh parameter exception ...

do some googling... find the thread mentionen above... try to fix it

You could use openssl for creation, e.g.: openssl dhparam -out dhparam.pem 2048 -dsaparam (dsaparam makes it much faster)

History

#1 - 10/07/2017 02:22 PM - Anonymous

- Category changed from foreman-installer script to Foreman modules

- Status changed from New to Rejected

- Difficulty deleted (easy)

the underlying problem is fixed with Puppetserver 5.x

#2 - 10/11/2017 03:59 AM - Christian Schmitt

Could you provide some more details? Where are these infos from?

IMHO it's more a problem with Java in relation to the apache configuration of the foreman vhost.

What would it have to do with Puppetserver? Is Puppetserver not implemented in Java anymore?

#3 - 10/11/2017 05:30 AM - Anonymous

I can only say it's working just fine out of the box with PS5, I guess they switched to deploy the Bouncycastle security provider or something similar in

the Puppetserver JAR.
